You are not logged in.

#1 2018-09-04 19:51:15

Tofu_Bone
Member
Registered: 2016-12-26
Posts: 43

[Solved] VLC cannot stream video anymore after 3.0.4-1 update.

vlc-3.0.4-1 can't stream video.
after downgrade to vlc-3.0.3.r1-r2 it is working again.

Last edited by Tofu_Bone (2018-09-06 21:40:43)

Offline

#2 2018-09-05 09:14:59

berbae
Member
From: France
Registered: 2007-02-12
Posts: 1,302

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

I tested a stream video from Youtube with vlc 3.0.4 and it works here.
Can you give an url link to a stream video which worked with old vlc version and you could not run with the new vlc release.

Offline

#3 2018-09-05 12:59:31

flateric
Member
Registered: 2007-08-28
Posts: 50

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

I have same problem on VLC player in new version 3.0.4 with playing files in format "MPEG transport stream data"  (ts).

Offline

#4 2018-09-05 13:06:21

Tofu_Bone
Member
Registered: 2016-12-26
Posts: 43

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

here are some url that could not run with new vlc, but work with old vlc:
https://www.youtube.com/watch?v=-9SEk9-8CIU
https://www.youtube.com/watch?v=TjH2gZVG8s0
https://www.youtube.com/watch?v=NbukDqntY2o

I just open vlc, click "Media", click "Open Network stream", paste the url and play.
Is the method i stream wrong?

Offline

#5 2018-09-05 19:15:42

deadite66
Member
Registered: 2015-06-13
Posts: 26

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

had the same problem today with "MPEG transport stream data", twitch video file dumped with streamlink.

rolled back to 3.0.3.r1-2.


these are the constant errors i see with 3.0.4-1

[00007f81fcce74c0] main decoder error: buffer deadlock prevented
[h264 @ 0x7f81f00b7000] cabac decode of qscale diff failed at 47 10
[h264 @ 0x7f81f00b7000] error while decoding MB 47 10, bytestream 5312

Last edited by deadite66 (2018-09-05 19:26:09)

Offline

#6 2018-09-06 10:47:57

replabrobin
Member
Registered: 2010-05-06
Posts: 218

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

dvb-t streaming no longer works after upgrade to vlc-3.0.4-1-x86_64 but downgrade to vlc-3.0.3-4-x86_64 works fine.

Offline

#7 2018-09-06 14:24:44

berbae
Member
From: France
Registered: 2007-02-12
Posts: 1,302

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

One difference in vlc 3.0.4 with previous release is '--enable-aribsub' wich gives a '/usr/lib/vlc/plugins/codec/libaribsub_plugin.so' library.

When a live stream video is launched with the -v parameter, it appears this:

[000055b9a95f1570] main libvlc warning: cannot load module `/usr/lib/vlc/plugins/demux/libts_plugin.so' (libaribb24.so.0: ... no such file ...

$ LANG=C pacman -Fo /usr/lib/libaribb24.so
usr/lib/libaribb24.so is owned by extra/aribb24 1.0.3-2

This package has this description:

Library for ARIB STD-B24, decoding JIS 8 bit characters and parsing MPEG-TS stream

Installing the aribb24 package solves the problem for me.

Offline

#8 2018-09-06 16:07:26

deadite66
Member
Registered: 2015-06-13
Posts: 26

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

That fixed it, thanks berbae.

Offline

#9 2018-09-06 21:40:24

Tofu_Bone
Member
Registered: 2016-12-26
Posts: 43

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

Thank you everyone, this is fixed.

Offline

#10 2018-09-08 13:32:19

replabrobin
Member
Registered: 2010-05-06
Posts: 218

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

Tofu_Bone wrote:

Thank you everyone, this is fixed.

it works for me as well. Did anybody raise a bug saying arribb24 should be added to the package dependencies?

Offline

#11 2018-09-08 14:47:07

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 18,239

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

It is a dependency, read your pacman outputs during an update.

Last edited by V1del (2018-09-08 14:47:24)

Offline

#12 2018-09-08 15:01:32

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,975

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

V1del wrote:

It is a dependency, read your pacman outputs during an update.

The optional dependency text doesn't say anything about it being required for streaming

Offline

#13 2018-09-12 18:33:46

kdall99
Member
Registered: 2015-06-12
Posts: 17

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

V1del wrote:

It is a dependency, read your pacman outputs during an update.

pacman reports this as an optional dependency. There is no indication at all that even people not interested in subtitles will have to install this optional dependency because otherwise vlc will not play (certain?) streams anymore.

Oh, and many thanks, berbae, for the solution.

Last edited by kdall99 (2018-09-12 18:36:33)

Offline

#14 2018-09-12 19:28:08

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 18,239

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

The message could be clarified that it might be necessary for certain streaming formats, I give you that.

Last edited by V1del (2018-09-12 19:28:34)

Offline

#15 2018-09-13 08:13:54

kdall99
Member
Registered: 2015-06-12
Posts: 17

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

V1del wrote:

The message could be clarified that it might be necessary for certain streaming formats, I give you that.

Yes. OTOH, one could argue that if not installing an optional dependency has the consequence that the program will not work at all in certain cases, the dependency was not optional in the first place.
I've noticed that there's already a bug report. We'll see what the package maintainer thinks about this issue.

Offline

#16 2018-09-23 08:22:15

Alain2
Member
From: France
Registered: 2009-11-06
Posts: 17

Re: [Solved] VLC cannot stream video anymore after 3.0.4-1 update.

Thanks a lot berbae !

I was perplex as duckduckgo search on this issue didn't lead to any useful info (not this thread anyway, whereas usually it does), and I was about to create a thread on it here but luckily a first search on this board led me here.

I was blind, I didn't notice the error message in vlc -v with libts_plugin until I read your post ; also it didn't occur in my mind that a library for "ARIB subtitles" could be used for an important task like mpeg-ts demux

Offline

Board footer

Powered by FluxBB